from rest_framework import serializers

from arkindex.documents.models import CorpusExport, CorpusExportState
from arkindex.project.serializer_fields import EnumField
from arkindex.users.serializers import SimpleUserSerializer


class CorpusExportSerializer(serializers.ModelSerializer):
    user = SimpleUserSerializer()
    state = EnumField(CorpusExportState)

    class Meta:
        model = CorpusExport
        fields = ('id', 'created', 'updated', 'corpus_id', 'user', 'state')
