select min(length),
       max(length)
FROM
    (select array_length(p.path, 1) as length
     from documents_elementpath as p
     inner join
         (SELECT "documents_element"."id"
          FROM "documents_element"
          INNER JOIN "process_workerrun" ON ("documents_element"."worker_run_id" = "process_workerrun"."id")
          WHERE ("documents_element"."corpus_id" = '{corpus_id}'::uuid
                 AND NOT ("documents_element"."worker_version_id" IS NULL)
                 AND "process_workerrun"."configuration_id" = '{configuration_id}'::uuid)) as input on (array[input.id] && p.path)) as lengths ;

DELETE
FROM "documents_transcriptionentity"
WHERE "documents_transcriptionentity"."id" IN
        (SELECT V0."id"
         FROM "documents_transcriptionentity" V0
         INNER JOIN "documents_transcription" V1 ON (V0."transcription_id" = V1."id")
         WHERE V1."element_id" IN
                 (SELECT U0."id"
                  FROM "documents_element" U0
                  INNER JOIN "process_workerrun" U3 ON (U0."worker_run_id" = U3."id")
                  WHERE (U0."corpus_id" = '{corpus_id}'::uuid
                         AND NOT (U0."worker_version_id" IS NULL)
                         AND U3."configuration_id" = '{configuration_id}'::uuid)));

DELETE
FROM "documents_transcription"
WHERE "documents_transcription"."element_id" IN
        (SELECT U0."id"
         FROM "documents_element" U0
         INNER JOIN "process_workerrun" U3 ON (U0."worker_run_id" = U3."id")
         WHERE (U0."corpus_id" = '{corpus_id}'::uuid
                AND NOT (U0."worker_version_id" IS NULL)
                AND U3."configuration_id" = '{configuration_id}'::uuid));

DELETE
FROM "process_workeractivity"
WHERE "process_workeractivity"."element_id" IN
        (SELECT U0."id"
         FROM "documents_element" U0
         INNER JOIN "process_workerrun" U3 ON (U0."worker_run_id" = U3."id")
         WHERE (U0."corpus_id" = '{corpus_id}'::uuid
                AND NOT (U0."worker_version_id" IS NULL)
                AND U3."configuration_id" = '{configuration_id}'::uuid));

DELETE
FROM "documents_metadata"
WHERE "documents_metadata"."element_id" IN
        (SELECT U0."id"
         FROM "documents_element" U0
         INNER JOIN "process_workerrun" U3 ON (U0."worker_run_id" = U3."id")
         WHERE (U0."corpus_id" = '{corpus_id}'::uuid
                AND NOT (U0."worker_version_id" IS NULL)
                AND U3."configuration_id" = '{configuration_id}'::uuid));

DELETE
FROM "documents_classification"
WHERE "documents_classification"."element_id" IN
        (SELECT U0."id"
         FROM "documents_element" U0
         INNER JOIN "process_workerrun" U3 ON (U0."worker_run_id" = U3."id")
         WHERE (U0."corpus_id" = '{corpus_id}'::uuid
                AND NOT (U0."worker_version_id" IS NULL)
                AND U3."configuration_id" = '{configuration_id}'::uuid));

DELETE
FROM "documents_selection"
WHERE "documents_selection"."element_id" IN
        (SELECT U0."id"
         FROM "documents_element" U0
         INNER JOIN "process_workerrun" U3 ON (U0."worker_run_id" = U3."id")
         WHERE (U0."corpus_id" = '{corpus_id}'::uuid
                AND NOT (U0."worker_version_id" IS NULL)
                AND U3."configuration_id" = '{configuration_id}'::uuid));

DELETE
FROM "process_processelement"
WHERE "process_processelement"."element_id" IN
        (SELECT U0."id"
         FROM "documents_element" U0
         INNER JOIN "process_workerrun" U3 ON (U0."worker_run_id" = U3."id")
         WHERE (U0."corpus_id" = '{corpus_id}'::uuid
                AND NOT (U0."worker_version_id" IS NULL)
                AND U3."configuration_id" = '{configuration_id}'::uuid));

UPDATE "process_process"
SET "element_id" = NULL
WHERE "process_process"."element_id" IN
        (SELECT U0."id"
         FROM "documents_element" U0
         INNER JOIN "process_workerrun" U3 ON (U0."worker_run_id" = U3."id")
         WHERE (U0."corpus_id" = '{corpus_id}'::uuid
                AND NOT (U0."worker_version_id" IS NULL)
                AND U3."configuration_id" = '{configuration_id}'::uuid));

UPDATE "process_process"
SET "train_folder_id" = NULL
WHERE "process_process"."train_folder_id" IN
        (SELECT U0."id"
         FROM "documents_element" U0
         INNER JOIN "process_workerrun" U3 ON (U0."worker_run_id" = U3."id")
         WHERE (U0."corpus_id" = '{corpus_id}'::uuid
                AND NOT (U0."worker_version_id" IS NULL)
                AND U3."configuration_id" = '{configuration_id}'::uuid));

UPDATE "process_process"
SET "validation_folder_id" = NULL
WHERE "process_process"."validation_folder_id" IN
        (SELECT U0."id"
         FROM "documents_element" U0
         INNER JOIN "process_workerrun" U3 ON (U0."worker_run_id" = U3."id")
         WHERE (U0."corpus_id" = '{corpus_id}'::uuid
                AND NOT (U0."worker_version_id" IS NULL)
                AND U3."configuration_id" = '{configuration_id}'::uuid));

UPDATE "process_process"
SET "test_folder_id" = NULL
WHERE "process_process"."test_folder_id" IN
        (SELECT U0."id"
         FROM "documents_element" U0
         INNER JOIN "process_workerrun" U3 ON (U0."worker_run_id" = U3."id")
         WHERE (U0."corpus_id" = '{corpus_id}'::uuid
                AND NOT (U0."worker_version_id" IS NULL)
                AND U3."configuration_id" = '{configuration_id}'::uuid));

WITH element_ids (id) AS
    (DELETE
     FROM documents_elementpath
     WHERE element_id IN
             (SELECT "documents_element"."id"
              FROM "documents_element"
              INNER JOIN "process_workerrun" ON ("documents_element"."worker_run_id" = "process_workerrun"."id")
              WHERE ("documents_element"."corpus_id" = '{corpus_id}'::uuid
                     AND NOT ("documents_element"."worker_version_id" IS NULL)
                     AND "process_workerrun"."configuration_id" = '{configuration_id}'::uuid)) RETURNING element_id)
DELETE
FROM documents_element element USING element_ids
WHERE element.id = element_ids.id ;

SELECT "documents_element"."id"
FROM "documents_element"
INNER JOIN "process_workerrun" ON ("documents_element"."worker_run_id" = "process_workerrun"."id")
WHERE ("documents_element"."corpus_id" = '{corpus_id}'::uuid
       AND NOT ("documents_element"."worker_version_id" IS NULL)
       AND "process_workerrun"."configuration_id" = '{configuration_id}'::uuid);

DELETE
FROM "documents_classification"
WHERE "documents_classification"."id" IN
        (SELECT U0."id"
         FROM "documents_classification" U0
         INNER JOIN "documents_element" U1 ON (U0."element_id" = U1."id")
         INNER JOIN "process_workerrun" U4 ON (U0."worker_run_id" = U4."id")
         WHERE (U1."corpus_id" = '{corpus_id}'::uuid
                AND NOT (U0."worker_version_id" IS NULL)
                AND U4."configuration_id" = '{configuration_id}'::uuid));

DELETE
FROM "documents_transcriptionentity"
WHERE "documents_transcriptionentity"."id" IN
        (SELECT U0."id"
         FROM "documents_transcriptionentity" U0
         INNER JOIN "documents_transcription" U1 ON (U0."transcription_id" = U1."id")
         INNER JOIN "documents_element" U2 ON (U1."element_id" = U2."id")
         INNER JOIN "process_workerrun" U5 ON (U1."worker_run_id" = U5."id")
         WHERE (U2."corpus_id" = '{corpus_id}'::uuid
                AND NOT (U1."worker_version_id" IS NULL)
                AND U5."configuration_id" = '{configuration_id}'::uuid));

DELETE
FROM "documents_transcriptionentity"
WHERE "documents_transcriptionentity"."id" IN
        (SELECT U0."id"
         FROM "documents_transcriptionentity" U0
         INNER JOIN "documents_transcription" U1 ON (U0."transcription_id" = U1."id")
         INNER JOIN "documents_element" U2 ON (U1."element_id" = U2."id")
         INNER JOIN "documents_entity" U4 ON (U0."entity_id" = U4."id")
         INNER JOIN "process_workerrun" U7 ON (U0."worker_run_id" = U7."id")
         WHERE ((U2."corpus_id" = '{corpus_id}'::uuid
                 OR U4."corpus_id" = '{corpus_id}'::uuid)
                AND NOT (U0."worker_version_id" IS NULL)
                AND U7."configuration_id" = '{configuration_id}'::uuid));

DELETE
FROM "documents_transcription"
WHERE "documents_transcription"."id" IN
        (SELECT U0."id"
         FROM "documents_transcription" U0
         INNER JOIN "documents_element" U1 ON (U0."element_id" = U1."id")
         INNER JOIN "process_workerrun" U4 ON (U0."worker_run_id" = U4."id")
         WHERE (U1."corpus_id" = '{corpus_id}'::uuid
                AND NOT (U0."worker_version_id" IS NULL)
                AND U4."configuration_id" = '{configuration_id}'::uuid));

DELETE
FROM "documents_metadata"
WHERE "documents_metadata"."id" IN
        (SELECT U0."id"
         FROM "documents_metadata" U0
         INNER JOIN "documents_element" U1 ON (U0."element_id" = U1."id")
         INNER JOIN "process_workerrun" U4 ON (U0."worker_run_id" = U4."id")
         WHERE (U1."corpus_id" = '{corpus_id}'::uuid
                AND NOT (U0."worker_version_id" IS NULL)
                AND U4."configuration_id" = '{configuration_id}'::uuid));

DELETE
FROM "process_workeractivity"
WHERE "process_workeractivity"."id" IN
        (SELECT U0."id"
         FROM "process_workeractivity" U0
         INNER JOIN "documents_element" U1 ON (U0."element_id" = U1."id")
         WHERE (U1."corpus_id" = '{corpus_id}'::uuid
                AND NOT (U0."worker_version_id" IS NULL)
                AND U0."configuration_id" = '{configuration_id}'::uuid))
